<?php

// Resource routes  for test
Route::group(['prefix' => set_route_guard('web').'/test'], function () {
    Route::put('test/workflow/{example}/{step}', 'TestWorkflowController@putWorkflow');
    Route::get('test/workflow/{example}/{step}/{user}', 'TestWorkflowController@getWorkflow');
    Route::resource('test', 'TestResourceController');
});

// Public  routes for test
Route::get('test/workflow/{test}/{step}/{user}', 'TestController@getWorkflow');
Route::get('test/popular/{period?}', 'TestPublicController@popular');
Route::get('tests/', 'TestPublicController@index');
Route::get('tests/{slug?}', 'TestPublicController@show');

// Resource routes  for eee
Route::group(['prefix' => set_route_guard('web').'/test'], function () {
    Route::resource('eee', 'EeeResourceController');
});

// Public  routes for eee
Route::get('eee/popular/{period?}', 'EeePublicController@popular');
Route::get('tests/', 'EeePublicController@index');
Route::get('tests/{slug?}', 'EeePublicController@show');

