<?php

namespace Test\Test;

use User;

class Test
{
    /**
     * $test object.
     */
    protected $test;    /**
     * $eee object.
     */
    protected $eee;

    /**
     * Constructor.
     */
    public function __construct(\Test\Test\Interfaces\TestRepositoryInterface $test,        \Test\Test\Interfaces\EeeRepositoryInterface $eee)
    {
        $this->test = $test;        $this->eee = $eee;
    }

    /**
     * Returns count of test.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.test.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->test->pushCriteria(new \Litepie\Test\Repositories\Criteria\TestUserCriteria());
        }

        $test = $this->test->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('test::' . $view, compact('test'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.eee.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->eee->pushCriteria(new \Litepie\Test\Repositories\Criteria\EeeUserCriteria());
        }

        $eee = $this->eee->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('test::' . $view, compact('eee'))->render();
    }
}
